// Load dts shapes and merge animations
datablock TSShapeConstructor(armymansoldierDts)
{
	baseShape  = "./ArmyManSoldier.dts";
	sequence0  = "./am_root.dsq root";

	sequence1  = "./am_run.dsq run";
	sequence2  = "./am_run.dsq walk";
	sequence3  = "./am_back.dsq back";
	sequence4  = "./am_side.dsq side";

	sequence5  = "./am_crouch.dsq crouch";
	sequence6  = "./am_crouchrun.dsq crouchRun";
	sequence7  = "./am_crouchback.dsq crouchBack";
	sequence8  = "./am_crouchside.dsq crouchSide";

	sequence9  = "./am_look.dsq look";
	sequence10 = "./am_headside.dsq headside";
	sequence11 = "./am_root.dsq headUp";

	sequence12 = "./am_jump.dsq jump";
	sequence13 = "./am_jump.dsq standjump";
	sequence14 = "./am_fall.dsq fall";
	sequence15 = "./am_root.dsq land";

	sequence16 = "./am_armattack.dsq armAttack";
	sequence17 = "./am_armreadyleft.dsq armReadyLeft";
	sequence18 = "./am_armreadyright.dsq armReadyRight";
	sequence19 = "./am_armreadyboth.dsq armReadyBoth";
	sequence20 = "./am_spearready.dsq spearready";  
	sequence21 = "./am_spearthrow.dsq spearThrow";

	sequence22 = "./am_talk.dsq talk";  

	sequence23 = "./am_death.dsq death1"; 
	
	sequence24 = "./am_armreadysmg.dsq shiftUp";
	sequence25 = "./am_armreadypistol.dsq shiftDown";
	sequence26 = "./am_shiftaway.dsq shiftAway";
	sequence27 = "./am_pistolfire.dsq shiftTo";
	sequence28 = "./am_armreadyknife.dsq shiftLeft";
	sequence29 = "./am_armattackknife.dsq shiftRight";
	sequence30 = "./am_root.dsq rotCW";
	sequence31 = "./am_root.dsq rotCCW";

	sequence32 = "./am_undo.dsq undo";
	sequence33 = "./am_root.dsq plant";

	sequence34 = "./am_sit.dsq sit";

	sequence35 = "./am_wrench.dsq wrench";

   sequence36 = "./am_activate.dsq activate";
   sequence37 = "./am_activate2.dsq activate2";

   sequence38 = "./am_leftrecoil.dsq leftrecoil";
};    


datablock DebrisData( armymansoldierDebris )
{
   explodeOnMaxBounce = false;

   elasticity = 0.15;
   friction = 0.5;

   lifetime = 4.0;
   lifetimeVariance = 0.0;

   minSpinSpeed = 40;
   maxSpinSpeed = 600;

   numBounces = 5;
   bounceVariance = 0;

   staticOnMaxBounce = true;
   gravModifier = 1.0;

   useRadiusMass = false;
   baseRadius = 1;

   velocity = 20.0;
   velocityVariance = 12.0;
};             

datablock PlayerData(armymansoldierArmor)
{
   renderFirstPerson = false;
   emap = false;
   
   className = Armor;
   shapeFile = "./ArmyManSoldier.dts";
   cameraMaxDist = 7;
   cameraTilt = 0;//0.174 * 2.5; //~25 degrees
   cameraVerticalOffset = 2;
   computeCRC = false;
  
   canObserve = true;
   cmdCategory = "Clients";

   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;
   
   //debrisShapeName = "~/data/shapes/player/debris_player.dts";
   //debris = horseDebris;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5708;
   maxFreelookAngle = 3.0;

   mass = 60;
   drag = 0.1;
   maxdrag = 0.52;
   density = 0.7;
   maxDamage = 100;
   maxEnergy =  10;
   repairRate = 0.33;
   energyPerDamagePoint = 75.0;

   rechargeRate = 0.4;

   runForce = 28 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 8;
   maxBackwardSpeed = 6;
   maxSideSpeed = 5;

   maxForwardCrouchSpeed = 6;
   maxBackwardCrouchSpeed = 6;
   maxSideCrouchSpeed = 2;

   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 6;
   maxBackwardWalkSpeed = 6;
   maxSideWalkSpeed = 0;

   maxUnderwaterForwardSpeed = 8.4;
   maxUnderwaterBackwardSpeed = 7.8;
   maxUnderwaterSideSpeed = 7.8;

   jumpForce = 8 * 90; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   recoverDelay = 0;
   recoverRunForceScale = 1.2;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("1 1 2.7", 4); //"2.5 2.5 2.4";
   crouchBoundingBox	= vectorScale("1 1 1.9", 4); //"2.5 2.5 2.4";
   proneBoundingBox		= vectorScale("2.5 2.5 2.4", 4); //"2.5 2.5 2.4";

   pickupRadius = 4;
   
   // Damage location details
   boxNormalHeadPercentage       = 0.83;
   boxNormalTorsoPercentage      = 0.49;
   boxHeadLeftPercentage         = 0;
   boxHeadRightPercentage        = 1;
   boxHeadBackPercentage         = 0;
   boxHeadFrontPercentage        = 1;

   // Foot Prints
   //decalData   = HorseFootprint;
   //decalOffset = 0.25;
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;
  
   //footPuffEmitter = LightPuffEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 65;
   jumpSurfaceAngle = 66;

   minJumpSpeed = 20;
   maxJumpSpeed = 30;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //NOTE:  some sounds commented out until wav's are available

   JumpSound			= HorseJumpSound;

   // Footstep Sounds
//   FootSoftSound        = HorseFootFallSound;
//   FootHardSound        = HorseFootFallSound;
//   FootMetalSound       = HorseFootFallSound;
//   FootSnowSound        = HorseFootFallSound;
//   FootShallowSound     = HorseFootFallSound;
//   FootWadingSound      = HorseFootFallSound;
//   FootUnderwaterSound  = HorseFootFallSound;
   //FootBubblesSound     = FootLightBubblesSound;
   //movingBubblesSound   = ArmorMoveBubblesSound;
   //waterBreathSound     = WaterBreathMaleSound;

   //impactSoftSound      = ImpactLightSoftSound;
   //impactHardSound      = ImpactLightHardSound;
   //impactMetalSound     = ImpactLightMetalSound;
   //impactSnowSound      = ImpactLightSnowSound;
   
   impactWaterEasy      = Splash1Sound;
   impactWaterMedium    = Splash1Sound;
   impactWaterHard      = Splash1Sound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;
   
   observeParameters = "0.5 4.5 4.5";

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 3;
	
	uiName = "Army Man Soldier";
	rideable = false;
		lookUpLimit = 0.6;
		lookDownLimit = 0.2;

	canRide = true;
	showEnergyBar = false;
	paintable = true;

	brickImage = armymansoldierBrickImage;	//the imageData to use for brick deployment

};

function serverCmdPrimary(%client)
{
	%player = %client.player;
	if(!isObject(%player))
	{
	}
	else
	{
		if(%player.dataBlock $= "armymansoldierArmor")
		{
			if(!%player.isMounted())
			{
				if(%player.getMountedImage(0) $= nametoID(ArmyManM16Image))
				{
					%player.unmountImage(0);
				}
				else
				{
					%player.updateArm(ArmyManM16Image);
					%player.mountImage(ArmyManM16Image, 0);
				}
			}
			else
			{
				messageClient(%client,'','\c4You have to get out of the vehicle to use!');
			}
		}
	}
}


function serverCmdSecondary(%client)
{
	%player = %client.player;
	if(!isObject(%player))
	{
	}
	else
	{
		if(%player.dataBlock $= "armymansoldierArmor")
		{
			if(!%player.isMounted())
			{
				if(%player.getMountedImage(0) $= nametoID(ArmyManLugerImage))
				{
					%player.unmountImage(0);
				}
				else
				{
					%player.updateArm(ArmyManLugerImage);
					%player.mountImage(ArmyManLugerImage, 0);
				}
			}
			else
			{
				messageClient(%client,'','\c4You have to get out of the vehicle to use!');
			}
		}
	}
}

function serverCmdAlternate(%client)
{
	%player = %client.player;
	if(!isObject(%player))
	{
	}
	else
	{
		if(%player.dataBlock $= "armymansoldierArmor")
		{
			if(!%player.isMounted())
			{
				if(%player.getMountedImage(0) $= nametoID(ArmyManKnifeImage))
				{
					%player.unmountImage(0);
				}
				else
				{
					%player.updateArm(ArmyManKnifeImage);
					%player.mountImage(ArmyManKnifeImage, 0);
				}
			}
			else
			{
				messageClient(%client,'','\c4You have to get out of the vehicle to use!');
			}
		}
	}
}